Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
vod_total_stream_duration_series = client.streaming.statistics.get_live_watch_time_total_cdn()
print(vod_total_stream_duration_series)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
vodTotalStreamDurationSeries, err := client.Streaming.Statistics.GetLiveWatchTimeTotalCDN(context.TODO(), streaming.StatisticGetLiveWatchTimeTotalCDNParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", vodTotalStreamDurationSeries)
}
curl --request GET \
--url https://api.gcore.com/streaming/statistics/stream/watching_duration/total \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/statistics/stream/watching_duration/total', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/streaming/statistics/stream/watching_duration/total",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/streaming/statistics/stream/watching_duration/total")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/streaming/statistics/stream/watching_duration/total")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"client": 123,
"client_user_id": 102,
"duration": 1000
}
]{
"data": [],
"errors": [
"from: query param is not set"
]
}{
"data": [],
"errors": [
"internal server error"
]
}Statistics
Get Live watching duration total via CDN
Calculates the total duration of live streams watching in minutes. Views of only those streams that meet the specified filters are summed up.
The statistics are taken from the data of CDN and work regardless of which player the views were made with.
GET
/
streaming
/
statistics
/
stream
/
watching_duration
/
total
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
vod_total_stream_duration_series = client.streaming.statistics.get_live_watch_time_total_cdn()
print(vod_total_stream_duration_series)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
vodTotalStreamDurationSeries, err := client.Streaming.Statistics.GetLiveWatchTimeTotalCDN(context.TODO(), streaming.StatisticGetLiveWatchTimeTotalCDNParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", vodTotalStreamDurationSeries)
}
curl --request GET \
--url https://api.gcore.com/streaming/statistics/stream/watching_duration/total \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/statistics/stream/watching_duration/total', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/streaming/statistics/stream/watching_duration/total",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/streaming/statistics/stream/watching_duration/total")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/streaming/statistics/stream/watching_duration/total")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"client": 123,
"client_user_id": 102,
"duration": 1000
}
]{
"data": [],
"errors": [
"from: query param is not set"
]
}{
"data": [],
"errors": [
"internal server error"
]
}Authorizations
Query Parameters
Was this page helpful?